Subject: Re: [PATCH net-next v4 14/14] net: bridge: mcast: add inactive state assertions

From: Ido Schimmel <[email-masked]>
Date: Mon, 9 Mar 2026 19:48:19 +0200

On Sat, Mar 07, 2026 at 05:45:48AM +0100, Linus Lüssing wrote:
> To avoid packetloss and as it is very hard from a user's perspective to
> debug multicast snooping related issues it is even more crucial to properly
> switch from an active to an inactive multicast snooping state than the
> other way around.
> 
> Therefore adding a few kernel warnings if any of our assertions to be in
> an inactive state would fail.

More assertions will be needed to cover the following cases:

1. Per-VLAN multicast snooping is turned off.
2. Multicast snooping is disabled on a specific VLAN.

__br_multicast_stop() is not called in these cases with the per-VLAN
context when the VLAN is not configured on the bridge interface.